Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Filipp Gunbin <[email-masked]>
Date: Wed, 13 Oct 2021 13:12:49 +0300

On 13/10/2021 04:45 +0300, Dmitry Gutov wrote:

> On 12.10.2021 15:48, Filipp Gunbin wrote:
>> It'd be great to go this way.  C-x v B is perhaps acceptable, but
>> lowcase b is much, much better.  Enough to sacrifice switching backends
>> for it IMO.
>
> OK, then I guess the follow-up question is, do we obsolete
> 'vc-transfer-file' as well? It's the only caller of 'vc-switch-backend'
> outside of interactive invocations.
>
> 'vc-transfer-file' can also be used by 'C-u M-x vc-next-action', but it
> seems like a very rare workflow as well. Though more plausible than the
> use of 'vc-switch-backend' by itself.

Personally I don't use either of these commands, so this is a question
to others..